using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Orders  : Daolite.Business
	{
		public const string P_Order_Details_OrderID_Collection = "Order_Details_OrderID_Collection";
		public const string P_OrderID = "OrderID";
		public const string P_CustomerID = "CustomerID";
		public const string P_EmployeeID = "EmployeeID";
		public const string P_Freight = "Freight";
		public const string P_OrderDate = "OrderDate";
		public const string P_RequiredDate = "RequiredDate";
		public const string P_ShipAddress = "ShipAddress";
		public const string P_ShipCity = "ShipCity";
		public const string P_ShipCountry = "ShipCountry";
		public const string P_ShipName = "ShipName";
		public const string P_ShippedDate = "ShippedDate";
		public const string P_ShipPostalCode = "ShipPostalCode";
		public const string P_ShipRegion = "ShipRegion";
		public const string P_ShipVia = "ShipVia";
		public const string P_CustomerID_Customers = "CustomerID_Customers";
		public const string P_EmployeeID_Employees = "EmployeeID_Employees";
		public const string P_ShipVia_Shippers = "ShipVia_Shippers";

		Order_Details[] _Order_Details_OrderID_Collection;

		public Order_Details[] Order_Details_OrderID_Collection{
			get { return _Order_Details_OrderID_Collection; }
			set { _Order_Details_OrderID_Collection = value; }
		}


		long _OrderID;

		public long OrderID{
			get { return _OrderID; }
			set { _OrderID = value; }
		}


		string _CustomerID;

		public string CustomerID{
			get { return _CustomerID; }
			set { _CustomerID = value; }
		}


		long _EmployeeID;

		public long EmployeeID{
			get { return _EmployeeID; }
			set { _EmployeeID = value; }
		}


		double _Freight;

		public double Freight{
			get { return _Freight; }
			set { _Freight = value; }
		}


		DateTime _OrderDate;

		public DateTime OrderDate{
			get { return _OrderDate; }
			set { _OrderDate = value; }
		}


		DateTime _RequiredDate;

		public DateTime RequiredDate{
			get { return _RequiredDate; }
			set { _RequiredDate = value; }
		}


		string _ShipAddress;

		public string ShipAddress{
			get { return _ShipAddress; }
			set { _ShipAddress = value; }
		}


		string _ShipCity;

		public string ShipCity{
			get { return _ShipCity; }
			set { _ShipCity = value; }
		}


		string _ShipCountry;

		public string ShipCountry{
			get { return _ShipCountry; }
			set { _ShipCountry = value; }
		}


		string _ShipName;

		public string ShipName{
			get { return _ShipName; }
			set { _ShipName = value; }
		}


		DateTime _ShippedDate;

		public DateTime ShippedDate{
			get { return _ShippedDate; }
			set { _ShippedDate = value; }
		}


		string _ShipPostalCode;

		public string ShipPostalCode{
			get { return _ShipPostalCode; }
			set { _ShipPostalCode = value; }
		}


		string _ShipRegion;

		public string ShipRegion{
			get { return _ShipRegion; }
			set { _ShipRegion = value; }
		}


		long _ShipVia;

		public long ShipVia{
			get { return _ShipVia; }
			set { _ShipVia = value; }
		}


		Customers _CustomerID_Customers;

		public Customers CustomerID_Customers{
			get { return _CustomerID_Customers; }
			set { _CustomerID_Customers = value; }
		}


		Employees _EmployeeID_Employees;

		public Employees EmployeeID_Employees{
			get { return _EmployeeID_Employees; }
			set { _EmployeeID_Employees = value; }
		}


		Shippers _ShipVia_Shippers;

		public Shippers ShipVia_Shippers{
			get { return _ShipVia_Shippers; }
			set { _ShipVia_Shippers = value; }
		}


	}
}
